package com.loafle.overflow.meta.model;

import javax.persistence.*;
import java.util.Date;

/**
 * Created by root on 17. 6. 22.
 */
@Entity
@Table(name = "META_PROBE_PACKAGE", schema = "public", catalog = "postgres")
public class MetaProbePackage {
    private long id;
    private MetaProbeVersion version;
    private MetaProbeOs os;
    private MetaProbeArchitecture architecture;
    private Date createDate;

    @Id
    @GeneratedValue(strategy= GenerationType.IDENTITY)
    public long getId() {
        return id;
    }

    public void setId(long id) {
        this.id = id;
    }

    @ManyToOne
    @JoinColumn(name = "VERSION_ID", nullable = false)
    public MetaProbeVersion getVersion() {
        return version;
    }

    public void setVersion(MetaProbeVersion version) {
        this.version = version;
    }

    @ManyToOne
    @JoinColumn(name = "OS_ID", nullable = false)
    public MetaProbeOs getOs() {
        return os;
    }

    public void setOs(MetaProbeOs os) {
        this.os = os;
    }

    @ManyToOne
    @JoinColumn(name = "ARCHITECTURE_ID", nullable = false)
    public MetaProbeArchitecture getArchitecture() {
        return architecture;
    }

    public void setArchitecture(MetaProbeArchitecture architecture) {
        this.architecture = architecture;
    }

    @Temporal(TemporalType.TIMESTAMP)
    @Column(name = "CREATE_DATE", nullable = false)
    public Date getCreateDate() {
        return createDate;
    }

    public void setCreateDate(Date createDate) {
        this.createDate = createDate;
    }

}
