package com.loafle.overflow.module.email.model;

import com.loafle.overflow.module.member.model.Member;

import javax.persistence.*;
import java.sql.Timestamp;

/**
 * Created by root on 17. 6. 22.
 */
@Entity
@Table(name = "EMAIL_AUTH", schema = "public", catalog = "postgres")
public class EmailAuth {
    private long id;
    private String emailAuthKey;
    private Timestamp createDate;
    private Timestamp authConfirmDate;
    private Member member;

    @Id
    @GeneratedValue(strategy= GenerationType.IDENTITY)
    public long getId() {
        return id;
    }

    public void setId(long id) {
        this.id = id;
    }

    @Basic
    @Column(name = "EMAIL_AUTH_KEY", nullable = true, length = 50)
    public String getEmailAuthKey() {
        return emailAuthKey;
    }

    public void setEmailAuthKey(String emailAuthKey) {
        this.emailAuthKey = emailAuthKey;
    }

    @Basic
    @Column(name = "CREATE_DATE", nullable = false, columnDefinition = "TIMESTAMP DEFAULT CURRENT_TIMESTAMP", insertable = false, updatable = false)
    public Timestamp getCreateDate() {
        return createDate;
    }

    public void setCreateDate(Timestamp createDate) {
        this.createDate = createDate;
    }

    @Basic
    @Column(name = "AUTH_CONFIRM_DATE", nullable = false, columnDefinition = "TIMESTAMP DEFAULT CURRENT_TIMESTAMP", insertable = false, updatable = false)
    public Timestamp getAuthConfirmDate() {
        return authConfirmDate;
    }

    public void setAuthConfirmDate(Timestamp authConfirmDate) {
        this.authConfirmDate = authConfirmDate;
    }

    @ManyToOne
    @JoinColumn(name = "MEMBER_ID", nullable = false)
    public Member getMember() {
        return member;
    }

    public void setMember(Member memberId) {
        this.member = member;
    }
}
