package com.loafle.overflow.module.sensor.model;

import com.loafle.overflow.meta.model.MetaCrawler;
import com.loafle.overflow.module.target.model.Target;

import javax.persistence.*;
import java.util.Date;

/**
 * Created by root on 17. 6. 22.
 */
@Entity
@Table(name = "SENSOR", schema = "public", catalog = "postgres")
public class Sensor {
    private long id;
    private Date createDate;
    private String description;
    private String status;
    private Target target;
    private MetaCrawler crawler;
    private String crawlerInputItems;

    @Id
    @GeneratedValue(strategy= GenerationType.IDENTITY)
    public long getId() {
        return id;
    }

    public void setId(long id) {
        this.id = id;
    }

    @Temporal(TemporalType.TIMESTAMP)
    @Column(name = "CREATE_DATE", nullable = false, columnDefinition = "TIMESTAMP DEFAULT CURRENT_TIMESTAMP", insertable = false, updatable = false)
    public Date getCreateDate() {
        return createDate;
    }

    public void setCreateDate(Date createDate) {
        this.createDate = createDate;
    }

    @Column(name = "DESCRIPTION", nullable = true, length = 50)
    public String getDescription() {
        return description;
    }

    public void setDescription(String description) {
        this.description = description;
    }

    @Column(name = "STATUS", nullable = true, length = 50)
    public String getStatus() {
        return status;
    }

    public void setStatus(String status) {
        this.status = status;
    }

    @ManyToOne
    @JoinColumn(name = "TARGET_ID", nullable = false)
    public Target getTarget() {
        return target;
    }

    public void setTarget(Target target) {
        this.target = target;
    }

    @ManyToOne
    @JoinColumn(name = "CRAWLER_ID", nullable = false)
    public MetaCrawler getCrawler() {
        return crawler;
    }

    public void setCrawler(MetaCrawler crawler) {
        this.crawler = crawler;
    }


    @Column(name = "CRAWELR_INPUT_ITEMS", nullable = true, length = 50)
    public String getcrawlerInputItems() {
        return crawlerInputItems;
    }

    public void setcrawlerInputItems(String crawlerInputItems) {
        this.crawlerInputItems = crawlerInputItems;
    }

}
