package com.loafle.overflow.module.member.dao;

import com.loafle.overflow.AppConfig;
import com.loafle.overflow.JdbcConfiguration;
import com.loafle.overflow.meta.model.MetaMemberStatus;
import com.loafle.overflow.module.member.model.Member;
import org.junit.Test;
import org.junit.runner.RunWith;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.test.context.ContextConfiguration;
import org.springframework.test.context.junit4.SpringJUnit4ClassRunner;

/**
 * Created by root on 17. 6. 22.
 */
@RunWith(SpringJUnit4ClassRunner.class)
@ContextConfiguration(classes = {AppConfig.class, JdbcConfiguration.class})
public class MemberDAOTest {


    @Autowired
    private MemberDAO repo;

    @Test
    public void createMember() {
        Member m = new Member();

        m.setName("insanity2");
        m.setCompanyName("loafle");
        m.setPw("bbbbbbbbb");
        m.setPwSalt("salktttt");
        m.setPhone("000-000-0000");
        m.setEmail("insanity1@loafle.com");
        m.setStatus(new MetaMemberStatus((short)1));
        repo.save(m);
    }

    @Test
    public void TestFindByEmail() {
        Member m = new Member();

        m.setEmail("insanity1@loafle.com");

        Member mm = this.repo.findByEmail(m);

        System.out.println(mm.getCompanyName());
    }
    @Test
    public void updateMember() {
        Member m = this.repo.findOne((long)1);

        m.setPw("123123123");
        m.setStatus(new MetaMemberStatus((short)2));
        this.repo.save(m);
    }
}